{ inputs, config, pkgs, ... }:

{
  imports = [
      (import ./common.nix { inherit inputs config pkgs; })
      (import ./hyprland { inherit inputs pkgs; })
      (import ./waybar { inherit inputs pkgs; })
      ./rofi
  ];

  services.hyprpaper = {
    settings = {
      wallpaper = [
        "DP-3,${./files/wallpaper.png}"
        "DP-2,${./files/wallpaper.png}"
        "HDMI-A-1,${./files/wallpaper.png}"
      ];
    };
  };

  programs.waybar = {
    settings = {
      mainBar = {
        output = "DP-2";
      };
    };
  };
}
